Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1056201 - Change the names of system folders after changes language - agree
Summary: Change the names of system folders after changes language - agree
Keywords:
Status: NEW
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: xdg-user-dirs
Version: 7.0
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: pre-dev-freeze
: 7.1
Assignee: Alexander Larsson
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-21 16:59 UTC by Martin
Modified: 2019-01-03 02:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-13 21:34:09 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Martin 2014-01-21 16:59:18 UTC
Version-Release number of selected component (if applicable):
RHEL-7.0-20140109.n.0

Steps to Reproduce: 
Start System Settings - Region and Language

Go to the Language tab

 1. Choose any interesting language from the list or add some
 2. Log out and log in back
 3. Confirm the dialog after login which offers you to change system folder's
    names to correspond with your new language

Actual results: 
New empty translated folders are created. Old untranslated folders containing files remains.

Expected results:
  * Check if folders Downloads, Documents, Desktop, Music, Pictures, Templates,
    Public and Videos have been renamed to correspond with your new language
  * There shoudn't be any duplicates, like previously named folders.
  * Renamed folders should contain all files as before.

Questions:
Why Gnome created new folders in first place? It can just rename/move from English to localized variant. Move on one filesystem is an atomic operation.

Comment 1 Matthias Clasen 2014-01-21 21:41:17 UTC
Moving existing content was deemed too dangerous when this facility was developed.

Comment 2 Martin 2014-01-22 16:05:41 UTC
Actual results: 
Bug: New empty translated folders are created. Old untranslated folders containing files remains.

Expected results:
  * Change system folder's names to correspond with your new language.
  * There shoudn't be any duplicates, like previously named folders.

This works perfectly in Fedora and there is a bug in RHEL.

Comment 3 Martin 2014-01-22 16:12:57 UTC
(In reply to Matthias Clasen from comment #1)
> Moving existing content was deemed too dangerous when this facility was
> developed.

From user point of view I don't care how is this function implemented as long as it works transparently, which doesn't in current RHEL7 (duplicity). So please don't close it before it's fixed in RHEL7.

Metadiscussion: Can you elaborate on what is dangerous about moving/rename? I'm talking about http://man7.org/linux/man-pages/man2/rename.2.html which is an atomic operation.

Comment 4 Alexander Larsson 2014-01-28 09:27:13 UTC
Martin: 

In the simple case (destination does not exist) the rename operation itself is not really dangerous. The dangerous part is moving user data. There could be any amount of symlinks, by-filename references in other files, recently-opened-files lists or other configurations, etc, that silently break when this is done.

Comment 5 RHEL Product and Program Management 2014-03-22 06:10:58 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.


Note You need to log in before you can comment on or make changes to this bug.